<div *ngIf="loading" id="cont" class="container">
	<div class="yellow dot"></div>
	<div class="red dot"></div>
	<div class="blue dot"></div>
	<div class="violet dot"></div>
</div>
<div class="is-flex is-justify-center has-margin-top-5">
  <div *ngIf="error$ | async" class="notification is-danger is-flex is-align-center">
    <button class="delete" (click)="fail()"></button>
    <img src="assets/images/ex.png"/>
    <p class="has-margin-left-2">Chargement des objets impossible pour le moment.</p>
    <button class="button error-button has-margin-left-1" (click)="getObjects()">Relancer</button>
  </div>
</div>
<nav *ngIf="canDisplay$ | async" class="panel">
  <p class="panel-heading">
      Liste des objets
  </p>
  <div class="is-flex flex-column panel-block">
      <p class="control is-flex has-items-center">
          <input #Search id="search" (input)="refresh()" class="input" type="search" placeholder="Rechercher">
      </p>
      <button class="button is-flex is-add-button" (click)="openModal('add')">
        <img width="20px" class="has-right-margin" src="assets/images/plus.png"/>
        Ajouter un objet
      </button>
  </div>
  <div class="has-overflow">
    <div *ngFor="let elt of  listObjectsDisplayed; let i = index" class="panel-block has-items-center space-around">
      <p class="is-name">{{elt.name}}</p>
      <div class="is-flex space-around is-minus">
        <p *ngIf="elt.error" [style.color]="'red'">Erreur</p>
        <div *ngIf="!globals.isMobile">
          <button class="button is-update-button has-margin-right-1" (click)="goModify(elt)">Modifier</button>
          <button class="button iconButton has-margin-right-1" (click)="askDelete(i)"><img src="assets/images/poubelle.png"></button>
          <button *ngIf="elt.confirm" class="button is-success has-margin-right-1" (click)="delete(i)">Confirmer</button>
          <button *ngIf="elt.cancel" class="button is-danger" (click)="cancel(i)">Annuler</button>
        </div>
        <div *ngIf="globals.isMobile" #DropNotif (click)="openActions(i)" class="dropdown has-margin-right-1">
          <div class="dropdown-trigger">
            <button class="button">
              <span [style.Color]="'black'">Actions</span>
            </button>
          </div>
          <div class="dropdown-menu size-min" id="dropdown-menu" role="menu">
            <div class="dropdown-content no-padding size-min">
              <div (click)="goModify(elt)" class="dropdown-item is-flex is-justify-center" [style.backgroundColor]="'#E0CDA3'">
                <span class="font" [style.Color]="'#008071'">
                  Modifier
                </span>
              </div>
              <div (click)="askDelete(i)" [style.borderColor]="'#FF2F2B'" [style.backgroundColor]="'white'" class="dropdown-item is-flex is-justify-center">
                <img width="30px" src="assets/images/poubelle.png"/>
              </div>
            </div>
          </div>
        </div>

      </div>
    </div>
  </div>
</nav>
<div #Delete class="modal">
  <div class="modal-background"></div>
  <div class="modal-card">
    <section class="modal-card-body is-flex is-column">
      <button class="delete self" (click)="close('delete')" aria-label="close"></button>
      <h1 class="is-styled">
          Supression de : <span class="is-bold">{{text}}</span>
      </h1>
      <div class="is-flex is-space-around has-margin-top-2">
        <button class="button is-success has-margin-right-4" (click)="delete(currentIndex)">Confirmer</button>
        <button class="button is-danger" (click)="cancel(currentIndex)">Annuler</button>
      </div>
    </section>
  </div>
</div>
<div #Modify class="modal">
  <div class="modal-background"></div>
  <div class="modal-card">
    <section class="modal-card-body is-flex is-column">
      <button class="delete self" (click)="close('modify')" aria-label="close"></button>
      <h1 class="is-styled">
          Modification de : <span class="is-bold">{{text}}</span>
      </h1>
      <div class="is-flex is-column has-margin-top-2">
        <form class="is-flex is-column" [formGroup]="modifyForm">
          <div [className]="globals.isMobile ? 'is-flex is-column is-centered has-margin-bottom-1' : 'is-flex is-centered space-around'">
            <label for="nameArea">Nouveau nom : </label>
            <input type="text" id="nameArea" formControlName="name" [placeholder]="old">
          </div>
          <div [className]="globals.isMobile ? 'is-flex is-column is-centered has-margin-bottom-1' : 'is-flex is-centered space-around'">
            <label for="nameArea">Nouveau chemin : </label>
            <input type="text" id="nameArea" formControlName="folder" [placeholder]="old">
          </div>
          <div class="is-flex is-align-center">
            <label for="nameArea" class="checkbox">Dans le jeu ? </label>
            <input type="checkbox" class="sizeCheck" formControlName="inGame" [placeholder]="old">
          </div>
          <div class="is-flex is-centered">
            <button class="button default-style is-black-button" #SubmitButton *ngIf="isValid('modify')" type="submit" (click)="submitUpdateForm()">Valider</button>
            <div *ngIf="failure" class="notification is-danger has-left-margin is-flex is-centered">
                <button class="delete" (click)="fail()"></button>
                <img src="assets/images/ex.png"/>
                <p class="has-left-margin">Cet objet existe déjà.</p>
            </div>
          </div>
        </form>
      </div>
    </section>
  </div>
</div>
<div #Add class="modal">
  <div class="modal-background"></div>
  <div class="modal-card">
    <section class="modal-card-body is-flex is-column">
      <button class="delete self" (click)="close('add')" aria-label="close"></button>
      <h1 class="is-styled">
          Ajouter un objet
      </h1>
      <div class="is-flex is-column has-margin-top-2">
        <form class="is-flex is-column" [formGroup]="createForm">
          <div [className]="globals.isMobile ? 'is-flex is-column is-centered has-margin-bottom-1' : 'is-flex is-centered space-around'">
            <label for="nameArea">Nom objet : <span>*</span></label>
            <input type="text" id="nameArea" formControlName="name" placeholder="Nom objet">
          </div>
          <div [className]="globals.isMobile ? 'is-flex is-column is-centered has-margin-bottom-1' : 'is-flex is-centered space-around'">
            <label for="nameArea">Chemin : <span>*</span></label>
            <input type="text" id="nameArea" formControlName="folder" placeholder="Chemin">
          </div>
          <div class="is-flex is-align-center">
            <label for="nameArea" class="checkbox">Dans le jeu ? <span>*</span></label>
            <input type="checkbox" class="sizeCheck" formControlName="inGame">
          </div>
          <div class="is-flex is-centered has-margin-top-2">
            <button class="button default-style is-black-button" #SubmitButton2 *ngIf="isValid('create')" type="submit" (click)="submitAddForm()">Valider</button>
            <div *ngIf="failure" class="notification is-danger has-left-margin is-flex is-centered">
                <button class="delete" (click)="fail()"></button>
                <img src="assets/images/ex.png"/>
                <p class="has-left-margin">Cet objet existe déjà.</p>
            </div>
        </div>
        </form>
      </div>
    </section>
  </div>
</div>